
<%
 # provide locals: :security [ :smr_position ]
 smr_position = false unless smr_position
 type = if security.has_type_model? then security.get_type else false end
%>

<div class="overview_container">
<table id="overview_securityinfo" class="type_<%=security.type%>">
  <thead>
    <tr><th colspan="2"><%=type%></th></tr>
  </thead>
  <tbody>
<% if type %>
    <tr><td>Dividend</td><td><%= type.dividend %> <span>paid every <%= type.dividend_interval %> months</span></td></tr>
    <tr><td>Dividend Yield</td><td><%=smr_humanize type.current_yield%></td></tr>
    <tr><td>Dividend Ex-Date</td><td><%=smr_humanize type.time_dividend_exdate%></td></tr>
<% end %>
  </tbody>
</table>
</div>
